Skip to main content

Upgrading your Grammar

PolyU

ELC Open Online Courses  Upgrading Your Grammar

What is this course about?

Upgrading Your Grammar is a course designed to help YOU improve the grammar that YOU need to successfully complete your university studies. Combining short, informative videos with fun, interactive activities, this online course will help YOU master the language skills YOU need to succeed.

You will learn about

parts of speech;

using tenses;

sentence structure;

and grammar for presentations

in this self-paced course created by the English Language Centre of The Hong Kong Polytechnic University.

Who is this course for?

This course is for students about to embark on a course of study in an English medium university. Students are expected to have completed a high school education.

Who are the course instructors?

Course Staff Image #1

Chan Man

Chan Man is a Language Instructor at the English Language Centre of The Hong Kong Polytechnic University

Course Staff Image #1

Caroline Nixon

Caroline is a Language Instructor at the English Language Centre of The Hong Kong Polytechnic University

Frequently Asked Questions

How do I join the course?

Are you a student or staff member in a university based in Hong Kong?

Then use your university ID to create your account!

Go here: https://account.keep.edu.hk/account/signup to create your university account.

University Account

☛ Remember to enrol in Upgrading Your Grammar!

☛ Not part of a University in Hong Kong?

Follow these 3 easy steps!
Step 1: Create account:https://account.keep.edu.hk/account/signup
Step 2: Activate account by clicking on link sent in email
Step 3: Enrol in Upgrading your Grammar

How much do I need to pay?

The course is FREE of charge.

Who can join this course?

The course is specifically for students who need English for their university studies, but anyone can join!

What web browser should I use?

The Open edX platform works best with current versions of Chrome, Firefox or Safari, or with Internet Explorer version 11 and above. Click here for a list of supported browsers and the most up-to-date information.

Enroll